| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LCD_Config_T Struct Reference
IP: LCD register block and driver

## Detailed Description

A structure for LCD Configuration.

Definition at line 125 of file lcd_001.h.

`#include "lcd_001.h"`

## Data Fields
uint8_t | HBP
uint8_t | HFP
uint8_t | HSW
uint16_t | PPL
uint8_t | VBP
uint8_t | VFP
uint8_t | VSW
uint16_t | LPP
uint8_t | IOE
uint8_t | IPC
uint8_t | IHS
uint8_t | IVS
uint8_t | ACB
uint8_t | BPP
IP_LCD_PANEL_OPT_T | LCD
IP_LCD_COLOR_FORMAT_OPT_T | color_format
uint8_t | Dual

## Field Documentation

uint8_t ACB

AC bias frequency in clocks (not used)

Definition at line 138 of file lcd_001.h.

uint8_t BPP

Maximum bits per pixel the display supports

Definition at line 139 of file lcd_001.h.

IP_LCD_COLOR_FORMAT_OPT_T color_format

BGR or RGB

Definition at line 141 of file lcd_001.h.

uint8_t Dual

Dual panel, 1 = dual panel display

Definition at line 142 of file lcd_001.h.

uint8_t HBP

Horizontal back porch in clocks

Definition at line 126 of file lcd_001.h.

uint8_t HFP

Horizontal front porch in clocks

Definition at line 127 of file lcd_001.h.

uint8_t HSW

HSYNC pulse width in clocks

Definition at line 128 of file lcd_001.h.

uint8_t IHS

Invert HSYNC, 1 = invert

Definition at line 136 of file lcd_001.h.

uint8_t IOE

Invert output enable, 1 = invert

Definition at line 134 of file lcd_001.h.

uint8_t IPC

Invert panel clock, 1 = invert

Definition at line 135 of file lcd_001.h.

uint8_t IVS

Invert VSYNC, 1 = invert

Definition at line 137 of file lcd_001.h.

IP_LCD_PANEL_OPT_T LCD

LCD panel type

Definition at line 140 of file lcd_001.h.

uint16_t LPP

Lines per panel

Definition at line 133 of file lcd_001.h.

uint16_t PPL

Pixels per line

Definition at line 129 of file lcd_001.h.

uint8_t VBP

Vertical back porch in clocks

Definition at line 130 of file lcd_001.h.

uint8_t VFP

Vertical front porch in clocks

Definition at line 131 of file lcd_001.h.

uint8_t VSW

VSYNC pulse width in clocks

Definition at line 132 of file lcd_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/lcd_001.h